## org.biojava.bio.seq
Class ProteinTools

    java.lang.Object
      org.biojava.bio.seq.ProteinTools

public class ProteinTools
extends java.lang.Object

The central port-of-call for all information and functionality specific to SymbolLists over the protein alphabet.

Author:
  Matthew Pocock, Greg Cox, Thomas Down

Constructor Summary
`ProteinTools()`

Method Summary
`static GappedSequence` `createGappedProteinSequence(java.lang.String theProtein, java.lang.String name)` Get a new protein as a GappedSequence
`static SymbolList` `createProtein(java.lang.String theProtein)` Return a new Protein SymbolList for protein.
`static Sequence` `createProteinSequence(java.lang.String protein, java.lang.String name)` Return a new PROTEIN Sequence for protein.
`static FiniteAlphabet` `getAlphabet()` Gets the protein alphabet
`static SymbolPropertyTable` `getSymbolPropertyTable(java.lang.String name)`
`static FiniteAlphabet` `getTAlphabet()` Gets the protein alphabet including the translation termination symbols

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProteinTools

    public ProteinTools()

Method Detail

### getAlphabet

    public static final FiniteAlphabet getAlphabet()

  Gets the protein alphabet

### getTAlphabet

    public static final FiniteAlphabet getTAlphabet()

  Gets the protein alphabet including the translation termination symbols

### getSymbolPropertyTable

    public static final SymbolPropertyTable getSymbolPropertyTable(java.lang.String name)

### createProtein

    public static SymbolList createProtein(java.lang.String theProtein)
                                    throws IllegalSymbolException

  Return a new Protein SymbolList for protein.

  Parameters:
    `theProtein` - a String to parse into Protein
  Returns:
    a SymbolList created form Protein
  Throws:
    `IllegalSymbolException` - if dna contains any non-Amino Acid characters.

### createGappedProteinSequence

    public static GappedSequence createGappedProteinSequence(java.lang.String theProtein,
                                                             java.lang.String name)
                                                      throws IllegalSymbolException

  Get a new protein as a GappedSequence

  Throws:
    `IllegalSymbolException`

### createProteinSequence

    public static Sequence createProteinSequence(java.lang.String protein,
                                                 java.lang.String name)
                                          throws IllegalSymbolException

  Return a new PROTEIN Sequence for protein.

  Parameters:
    `protein` - a String to parse into PROTEIN
    `name` - a String to use as the name
  Returns:
    a Sequence created form protein
  Throws:
    `IllegalSymbolException` - if protein contains any non-PROTEIN characters